 EXEC P_ALTERPK 'PK_T_PA_DSANALYSISDATA', 'T_PA_DSANALYSISDATA', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'UK_PA_DSANALYSISDATA') CREATE UNIQUE INDEX UK_PA_DSANALYSISDATA ON T_PA_DSANALYSISDATA ( FEXTID );

 EXEC P_ALTERPK 'PK_T_PA_SOURCEMODELMAPPING', 'T_PA_SOURCEMODELMAPPING', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_SOURCEMODEL') CREATE INDEX IDX_PA_SOURCEMODEL ON T_PA_SOURCEMODELMAPPING ( FANALYSISMODEL ,FMODELTABLEID );

 EXEC P_ALTERPK 'PK_T_PA_TASKLOG', 'T_PA_TASKLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_TASK_LOG') CREATE INDEX IDX_PA_TASK_LOG ON T_PA_TASKLOG ( FDATASYNCTASKID );

 EXEC P_ALTERPK 'PK_T_PA_TASKPREVIEW', 'T_PA_TASKPREVIEW', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_TASK_PREVIEW') CREATE INDEX IDX_PA_TASK_PREVIEW ON T_PA_TASKPREVIEW ( FSYNCDATASCHEMEID );

EXEC P_ALTERPK 'PK_T_PA_DSCURRMAINDATA', 'T_PA_DSCURRMAINDATA', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_DSCURRMAINDATA') CREATE INDEX IDX_PA_DSCURRMAINDATA ON T_PA_DSCURRMAINDATA ( FNUMBER );

 EXEC P_ALTERPK 'PK_T_PA_DSORGMAINDATA', 'T_PA_DSORGMAINDATA', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_DSORGMAINDATA') CREATE INDEX IDX_PA_DSORGMAINDATA ON T_PA_DSORGMAINDATA ( FNUMBER );

EXEC P_ALTERPK 'PK_T_PA_DSTEMPDATA', 'T_PA_DSTEMPDATA', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'UK_T_PA_DSTEMPDATA_EXTID') CREATE UNIQUE INDEX UK_T_PA_DSTEMPDATA_EXTID ON T_PA_DSTEMPDATA ( FEXTID );

EXEC P_ALTERPK 'PK_T_PA_DSVOUCHERDATA', 'T_PA_DSVOUCHERDATA', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'UK_PA_DSVOUCHERDATA') CREATE UNIQUE INDEX UK_PA_DSVOUCHERDATA ON T_PA_DSVOUCHERDATA ( FEXTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_ORG_PERIOD') CREATE INDEX IDX_PA_ORG_PERIOD ON T_PA_DSVOUCHERDATA ( FORG ,FPERIOD );