﻿IF
NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_TASKLOG')
CREATE TABLE T_PA_TASKLOG
(
    FID               BIGINT       DEFAULT 0   NOT NULL,
    FSTATUS           CHAR(1)      DEFAULT ' ' NOT NULL,
    FSYNCDATASCHEMEID BIGINT       DEFAULT 0   NOT NULL,
    FCREATETIME       DATETIME,
    FUPDATETIME       DATETIME,
    FTASKTYPE         CHAR(2)      DEFAULT ' ' NOT NULL,
    FMSG              VARCHAR(255) DEFAULT ' ' NOT NULL,
    FMSG_TAG          NCLOB,
    FINSTANCE         VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FTASKOPERATETOKEN BIGINT       DEFAULT 0   NOT NULL,
    FDATASYNCTASKID   BIGINT       DEFAULT 0   NOT NULL,
    FANALYSISMODELID  BIGINT       DEFAULT 0   NOT NULL,
    FDATASOURCEID     BIGINT       DEFAULT 0   NOT NULL,
    FSYNCSCHEMENAME   NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF
NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_TASKPREVIEW')
CREATE TABLE T_PA_TASKPREVIEW
(
    FID                    BIGINT       DEFAULT 0   NOT NULL,
    FSYNCDATASCHEMEID      BIGINT       DEFAULT 0   NOT NULL,
    FCREATOR               BIGINT       DEFAULT 0   NOT NULL,
    FCREATETIME            DATETIME,
    FUPDATETIME            DATETIME,
    FSTATUS                CHAR(1)      DEFAULT ' ' NOT NULL,
    FTASKTYPE              CHAR(2)      DEFAULT ' ' NOT NULL,
    FEXECUTIONTIME         VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FSTATICSTATUS_INFO     VARCHAR(255) DEFAULT ' ' NOT NULL,
    FSTATICSTATUS_INFO_TAG NCLOB,
    FSYNCSCHEMENAME        NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_DSANALYSISDATA')
 CREATE TABLE T_PA_DSANALYSISDATA (
FID BIGINT DEFAULT 0 NOT NULL,
FEXTID NVARCHAR(64) DEFAULT ' ' NOT NULL,
FBATCHID NVARCHAR(64) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA1 BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA2 BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA3 BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA4 BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA5 BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA6 BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA7 BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA8 BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA9 BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA10 BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA11 BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA12 BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA13 BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA14 BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA15 BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA16 BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA17 BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA18 BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA19 BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA20 BIGINT DEFAULT 0 NOT NULL,
FTEXT1 NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTEXT2 NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTEXT3 NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTEXT4 NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTEXT5 NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTEXT6 NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTEXT7 NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTEXT8 NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTEXT9 NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTEXT10 NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDECIMAL1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECIMAL2 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECIMAL3 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECIMAL4 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECIMAL5 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECIMAL6 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECIMAL7 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECIMAL8 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECIMAL9 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECIMAL10 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_DSCURRMAINDATA')
 CREATE TABLE T_PA_DSCURRMAINDATA (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_DSORGMAINDATA')
 CREATE TABLE T_PA_DSORGMAINDATA (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPARENT VARCHAR(50) DEFAULT ' ' NOT NULL,
FLONGNUMBER NVARCHAR(100) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_DSTEMPDATA')
 CREATE TABLE T_PA_DSTEMPDATA (
FID BIGINT DEFAULT 0 NOT NULL,
FEXTID NVARCHAR(64) DEFAULT ' ' NOT NULL,
FBATCHID NVARCHAR(64) DEFAULT ' ' NOT NULL,
FORG NVARCHAR(64) DEFAULT ' ' NOT NULL,
FACCOUNT NVARCHAR(64) DEFAULT ' ' NOT NULL,
FPERIOD NVARCHAR(64) DEFAULT ' ' NOT NULL,
FCURRENCY NVARCHAR(64) DEFAULT ' ' NOT NULL,
FASSISTANTDATA1 NVARCHAR(64) DEFAULT ' ' NOT NULL,
FASSISTANTDATA2 NVARCHAR(64) DEFAULT ' ' NOT NULL,
FASSISTANTDATA3 NVARCHAR(64) DEFAULT ' ' NOT NULL,
FASSISTANTDATA4 NVARCHAR(64) DEFAULT ' ' NOT NULL,
FASSISTANTDATA5 NVARCHAR(64) DEFAULT ' ' NOT NULL,
FASSISTANTDATA6 NVARCHAR(64) DEFAULT ' ' NOT NULL,
FASSISTANTDATA7 NVARCHAR(64) DEFAULT ' ' NOT NULL,
FASSISTANTDATA8 NVARCHAR(64) DEFAULT ' ' NOT NULL,
FASSISTANTDATA9 NVARCHAR(64) DEFAULT ' ' NOT NULL,
FASSISTANTDATA10 NVARCHAR(64) DEFAULT ' ' NOT NULL,
FASSISTANTDATA11 NVARCHAR(64) DEFAULT ' ' NOT NULL,
FASSISTANTDATA12 NVARCHAR(64) DEFAULT ' ' NOT NULL,
FASSISTANTDATA13 NVARCHAR(64) DEFAULT ' ' NOT NULL,
FASSISTANTDATA14 NVARCHAR(64) DEFAULT ' ' NOT NULL,
FASSISTANTDATA15 NVARCHAR(64) DEFAULT ' ' NOT NULL,
FASSISTANTDATA16 NVARCHAR(64) DEFAULT ' ' NOT NULL,
FASSISTANTDATA17 NVARCHAR(64) DEFAULT ' ' NOT NULL,
FASSISTANTDATA18 NVARCHAR(64) DEFAULT ' ' NOT NULL,
FASSISTANTDATA19 NVARCHAR(64) DEFAULT ' ' NOT NULL,
FASSISTANTDATA20 NVARCHAR(64) DEFAULT ' ' NOT NULL,
FTEXT1 NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTEXT2 NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTEXT3 NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTEXT4 NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTEXT5 NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTEXT6 NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTEXT7 NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTEXT8 NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTEXT9 NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTEXT10 NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDECIMAL1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECIMAL2 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECIMAL3 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECIMAL4 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECIMAL5 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECIMAL6 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECIMAL7 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECIMAL8 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECIMAL9 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECIMAL10 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_DSVOUCHERDATA')
 CREATE TABLE T_PA_DSVOUCHERDATA (
FID BIGINT DEFAULT 0 NOT NULL,
FEXTID NVARCHAR(64) DEFAULT ' ' NOT NULL,
FBATCHID NVARCHAR(64) DEFAULT ' ' NOT NULL,
FORG BIGINT DEFAULT 0 NOT NULL,
FACCOUNT BIGINT DEFAULT 0 NOT NULL,
FPERIOD BIGINT DEFAULT 0 NOT NULL,
FCURRENCY BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA1 BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA2 BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA3 BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA4 BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA5 BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA6 BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA7 BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA8 BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA9 BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA10 BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA11 BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA12 BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA13 BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA14 BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA15 BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA16 BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA17 BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA18 BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA19 BIGINT DEFAULT 0 NOT NULL,
FASSISTANTDATA20 BIGINT DEFAULT 0 NOT NULL,
FTEXT1 NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTEXT2 NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTEXT3 NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTEXT4 NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTEXT5 NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTEXT6 NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTEXT7 NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTEXT8 NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTEXT9 NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTEXT10 NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDECIMAL1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECIMAL2 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECIMAL3 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECIMAL4 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECIMAL5 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECIMAL6 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECIMAL7 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECIMAL8 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECIMAL9 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECIMAL10 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FBORROWERID BIGINT DEFAULT 0 NOT NULL,
FCOSTDEPTID BIGINT DEFAULT 0 NOT NULL,
FCOSTCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FEXPENSEITEMEDITID BIGINT DEFAULT 0 NOT NULL,
FPAYEEID BIGINT DEFAULT 0 NOT NULL,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FTRIPEXPENSEITEMID BIGINT DEFAULT 0 NOT NULL,
FASSETCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FUSESTATUSID BIGINT DEFAULT 0 NOT NULL,
FINVSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FFLEXAUXPROPID BIGINT DEFAULT 0 NOT NULL,
FLOTID BIGINT DEFAULT 0 NOT NULL,
FCONFIGUREDCODEID BIGINT DEFAULT 0 NOT NULL,
FTRACEID BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPEID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FPAYABLESID BIGINT DEFAULT 0 NOT NULL,
FRECEIVABLESID BIGINT DEFAULT 0 NOT NULL,
FFUNDFLOWITEMID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTBANKSID BIGINT DEFAULT 0 NOT NULL,
FRECEIVINGBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FVOUCHERTYPEID BIGINT DEFAULT 0 NOT NULL,
FPROJECT2ID BIGINT DEFAULT 0 NOT NULL
);