﻿/**Begin D:\PDM\PDM_UPGRADE\pdm_new\PA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_FASINDEX_DEFGROUP')
 CREATE TABLE T_PA_FASINDEX_DEFGROUP (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_FASINDEX_L')
 CREATE TABLE T_PA_FASINDEX_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_FASINDEXGROUP')
CREATE TABLE T_PA_FASINDEXGROUP
(
    FID         BIGINT        DEFAULT 0   NOT NULL,
    FNUMBER     VARCHAR(50)   DEFAULT ' ' NOT NULL,
    FNAME       NVARCHAR(100) DEFAULT ' ' NOT NULL,
    FSTATUS     CHAR(1)       DEFAULT 'C' NOT NULL,
    FENABLE     CHAR(1)       DEFAULT '1' NOT NULL,
    FCREATORID  BIGINT        DEFAULT 0   NOT NULL,
    FCREATETIME DATETIME,
    FMODIFIERID BIGINT        DEFAULT 0   NOT NULL,
    FMODIFYTIME DATETIME,
    FMASTERID   BIGINT        DEFAULT 0   NOT NULL,
    FLONGNUMBER varchar(350)  default ' ' not null,
    FLEVEL      int           default 1   not null,
    FISLEAF     char(1)       default '1' not null,
    FPARENTID   bigint        default 0   not null
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_FASINDEXGROUP_L')
 CREATE TABLE T_PA_FASINDEXGROUP_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_FASINDEX')
 CREATE TABLE T_PA_FASINDEX (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FCATEGORY CHAR(1) DEFAULT '0' NOT NULL,
FSYSTEMID BIGINT DEFAULT 0 NOT NULL,
FMODELID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAGGREGATE CHAR(1) DEFAULT '0' NOT NULL,
FAGGMEASUREID BIGINT DEFAULT 0 NOT NULL,
FPRECISION INT DEFAULT 20 NOT NULL,
FINDEXFORMULA VARCHAR(500) DEFAULT ' ' NOT NULL,
FINDEXFORMULADESC NVARCHAR(500) DEFAULT ' ' NOT NULL,
FDIMENSIONCONDITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDIMENSIONCONDITION_TAG NCLOB,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCTRLSTRATEGY VARCHAR(10) DEFAULT '5' NOT NULL,
FPARENT BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FISSYSTEM CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_FASINDEX_FORMULAARGS')
 CREATE TABLE T_PA_FASINDEX_FORMULAARGS (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM\PDM_UPGRADE\pdm_new\PA_table.sql **/
