﻿/**Begin D:\PDM_UPGRADE_1.3\PDM_UPGRADE\PDM1\PA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FAF_OLAPFILTER') 
 CREATE TABLE T_FAF_OLAPFILTER (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCONDITION VARCHAR(50) DEFAULT ' ' NOT NULL,
FDIMENSIONVAL VARCHAR(1024) DEFAULT ' ' NOT NULL,
FDIMENSIONTEXT VARCHAR(255) DEFAULT ' ' NOT NULL,
FDIMENSIONTEXT_TAG NCLOB,
FLOGIC VARCHAR(50) DEFAULT ' ' NOT NULL,
FDIMENSIONNUM VARCHAR(50) DEFAULT ' ' NOT NULL,
FDIMENSIONFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FDIMENSIONID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_PARAMGROUP')
 CREATE TABLE T_PA_PARAMGROUP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FLONGNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FLEVEL INT DEFAULT 0 NOT NULL,
FISLEAF CHAR(1) DEFAULT '1' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_PARAMGROUP_L')
 CREATE TABLE T_PA_PARAMGROUP_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_PARAMTEMPLATE_L')
 CREATE TABLE T_PA_PARAMTEMPLATE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_PARAMTEMPLATEENTRY')
 CREATE TABLE T_PA_PARAMTEMPLATEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARAMNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FPARAMNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDATATYPE CHAR(1) DEFAULT ' ' NOT NULL,
FOBJECTTYPEID VARCHAR(36) DEFAULT ' ' NOT NULL,
FISINPUT CHAR(1) DEFAULT ' ' NOT NULL,
FFORMID VARCHAR(50) DEFAULT ' ' NOT NULL,
FCAPTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPERATENAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRELYPARAMNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FPARAMDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREQUESTTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FFILTER VARCHAR(50) DEFAULT ' ' NOT NULL,
FDEFAULTVALUE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDISPLAY CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_PARAMTEMPLATE')
 CREATE TABLE T_PA_PARAMTEMPLATE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FPLUGINNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE_1.3\PDM_UPGRADE\PDM1\PA_table.sql **/
