IF
NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FAF_MODELUPGRADERECORD')
CREATE TABLE T_FAF_MODELUPGRADERECORD
(
    FID                BIGINT      DEFAULT 0   NOT NULL,
	FANASYSTEM         BIGINT      DEFAULT 0   NOT NULL,
	FLASTEDTASKID      BIGINT      DEFAULT 0   NOT NULL
);

IF
NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FAF_MODELUPGRADEDETAIL')
CREATE TABLE T_FAF_MODELUPGRADEDETAIL
(
    FID                       BIGINT       DEFAULT 0   NOT NULL,
    FENTRYID                  BIGINT       DEFAULT 0   NOT NULL,
    FSEQ                      INT          DEFAULT 0   NOT NULL,
    FANAMODEL                 BIGINT       DEFAULT 0   NOT NULL,
    FSUMMARYTABLENUMBER    	  VARCHAR(50)       DEFAULT ' '  NOT NULL,
    FDETAILTABLENUMBER        VARCHAR(50)       DEFAULT ' '  NOT NULL,
    FUPGRADECOUNTINPURPOSE    INT       DEFAULT 0  NOT NULL,
    FUPGRADECOUNTINFACT       INT       DEFAULT 0  NOT NULL,
	FUPGRADESTATUS			  CHAR(1)      DEFAULT ' ' NOT NULL,
	FERRORMESSAGE             VARCHAR(255) DEFAULT ' ' NOT NULL,
	FTASKID                   BIGINT       DEFAULT 0   NOT NULL,
	FSTARTTIME                DATETIME,
	FENDTIME                  DATETIME
);