EXEC P_ALTERPK 'PK_T_PA_TARGETDIMMAPPING', 'T_PA_TARGETDIMMAPPING', 'FPKID', '1';

 IF
NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_TARGETDIM_MAPPING_FK') CREATE
INDEX IDX_PA_TARGETDIM_MAPPING_FK ON T_PA_TARGETDIMMAPPING ( FID );


EXEC P_ALTERPK 'PK_T_PA_SYNCDATASCHEMA_L', 'T_PA_SYNCDATASCHEMA_L', 'FPKID', '1';

 IF
NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_SYNCDATASCHEMA_L') CREATE
INDEX IDX_PA_SYNCDATASCHEMA_L ON T_PA_SYNCDATASCHEMA_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_T_PA_SYNCDATASCHEMA', 'T_PA_SYNCDATASCHEMA', 'FID', '1';

 IF
NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_SYNCDATASCHEMA') CREATE
INDEX IDX_PA_SYNCDATASCHEMA ON T_PA_SYNCDATASCHEMA ( FSTATUS ,FENABLE ,FANALYSISMODELID );

 IF
NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_SYNCDATASCHEMA_UN') CREATE
UNIQUE INDEX IDX_PA_SYNCDATASCHEMA_UN ON T_PA_SYNCDATASCHEMA ( FNUMBER ,FMODELID );


EXEC P_ALTERPK 'PK_T_PA_SOURCEDIMMAPPING', 'T_PA_SOURCEDIMMAPPING', 'FPKID', '1';

 IF
NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_SOURCEDIM_MAPPING_FK') CREATE
INDEX IDX_PA_SOURCEDIM_MAPPING_FK ON T_PA_SOURCEDIMMAPPING ( FID );


EXEC P_ALTERPK 'PK_T_PA_ANALYSISMODEL', 'T_PA_ANALYSISMODEL', 'FID', '1';

 IF
NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_ANALYSISMODEL') CREATE
INDEX IDX_PA_ANALYSISMODEL ON T_PA_ANALYSISMODEL ( FSTATUS ,FENABLE );

 IF
NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_NUMBER_SYSTEM') CREATE
UNIQUE INDEX IDX_NUMBER_SYSTEM ON T_PA_ANALYSISMODEL ( FNUMBER ,FANALYSIS_SYSTEM );


EXEC P_ALTERPK 'PK_T_PA_MEASUREMAPENTRY', 'T_PA_MEASUREMAPENTRY', 'FENTRYID', '1';

 IF
NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_MEASUREMAPENTRY') CREATE
INDEX IDX_PA_MEASUREMAPENTRY ON T_PA_MEASUREMAPENTRY ( FID );


EXEC P_ALTERPK 'PK_T_PA_MEASURE_L', 'T_PA_MEASURE_L', 'FPKID', '1';

 IF
NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_MEASURE_L') CREATE
INDEX IDX_PA_MEASURE_L ON T_PA_MEASURE_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_T_PA_MEASUREENTRY', 'T_PA_MEASUREENTRY', 'FENTRYID', '1';

 IF
NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_MEASURE_ENTRY') CREATE
INDEX IDX_PA_MEASURE_ENTRY ON T_PA_MEASUREENTRY ( FID );


EXEC P_ALTERPK 'PK_T_PA_MEASURE', 'T_PA_MEASURE', 'FID', '1';

 IF
NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_MEASURE') CREATE
    INDEX IDX_PA_MEASURE ON T_PA_MEASURE ( FSYSTEMID );

 IF
NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_MEASURE_NBSYS') CREATE
UNIQUE INDEX IDX_PA_MEASURE_NBSYS ON T_PA_MEASURE ( FNUMBER ,FSYSTEMID );

EXEC P_ALTERPK 'PK_T_PA_DATASOURCECONFIG', 'T_PA_DATASOURCECONFIG', 'FID', '1';

 IF
NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_DATASOURCE_CONFIG') CREATE
UNIQUE INDEX IDX_PA_DATASOURCE_CONFIG ON T_PA_DATASOURCECONFIG ( FNUMBER );


EXEC P_ALTERPK 'PK_T_PA_DATASOURCECONFIG_L', 'T_PA_DATASOURCECONFIG_L', 'FPKID', '1';

 IF
NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_DATASOURCE_CONFIG_L') CREATE
INDEX IDX_PA_DATASOURCE_CONFIG_L ON T_PA_DATASOURCECONFIG_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_T_PA_DATASOURCECONFIG', 'T_PA_DATASOURCECONFIG', 'FID', '1';

 IF
NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_DATASOURCE_CONFIG') CREATE
UNIQUE INDEX IDX_PA_DATASOURCE_CONFIG ON T_PA_DATASOURCECONFIG ( FNUMBER );


EXEC P_ALTERPK 'PK_T_PA_DATASOURCECONFIG_L', 'T_PA_DATASOURCECONFIG_L', 'FPKID', '1';

 IF
NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_DATASOURCE_CONFIG_L') CREATE
INDEX IDX_PA_DATASOURCE_CONFIG_L ON T_PA_DATASOURCECONFIG_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_T_PA_MAPPINGENTRY', 'T_PA_MAPPINGENTRY', 'FENTRYID', '1';

 IF
NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_MAPPINGENTRY_FK') CREATE
INDEX IDX_PA_MAPPINGENTRY_FK ON T_PA_MAPPINGENTRY ( FID );

 IF
NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_MAPPINGENTRY_CRCK') CREATE
INDEX IDX_PA_MAPPINGENTRY_CRCK ON T_PA_MAPPINGENTRY ( FSOURCEDIMCRC );


EXEC P_ALTERPK 'PK_T_PA_MAPPINGRELATIONSHIP_L', 'T_PA_MAPPINGRELATIONSHIP_L', 'FPKID', '1';

 IF
NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_MAPPING_RELATIONSHIP_L') CREATE
INDEX IDX_PA_MAPPING_RELATIONSHIP_L ON T_PA_MAPPINGRELATIONSHIP_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_T_PA_MAPPINGRELATIONSHIP', 'T_PA_MAPPINGRELATIONSHIP', 'FID', '1';

 IF
NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_MAPPING_RELATION_NK') CREATE
UNIQUE INDEX IDX_PA_MAPPING_RELATION_NK ON T_PA_MAPPINGRELATIONSHIP ( FNUMBER ,FANASYSTEM );

 IF
NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_MAPPINGENTRY_SK') CREATE
INDEX IDX_PA_MAPPINGENTRY_SK ON T_PA_MAPPINGRELATIONSHIP ( FANASYSTEM );


EXEC P_ALTERPK 'PK_T_PA_DIMENSIONMAPENTRY', 'T_PA_DIMENSIONMAPENTRY', 'FENTRYID', '1';

 IF
NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_DIMENSIONMAPENTRY') CREATE
INDEX IDX_PA_DIMENSIONMAPENTRY ON T_PA_DIMENSIONMAPENTRY ( FDIMENSIONFIELD );


EXEC P_ALTERPK 'PK_T_PA_DIMENSIONENTRYENTITY', 'T_PA_DIMENSIONENTRYENTITY', 'FENTRYID', '1';

 IF
NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_DIMENSIONENTRYENTITY_FK') CREATE
INDEX IDX_PA_DIMENSIONENTRYENTITY_FK ON T_PA_DIMENSIONENTRYENTITY ( FID );


EXEC P_ALTERPK 'PK_T_PA_DIMENSION_L', 'T_PA_DIMENSION_L', 'FPKID', '1';

 IF
NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_DIMENSION_L') CREATE
INDEX IDX_PA_DIMENSION_L ON T_PA_DIMENSION_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_T_PA_DIMENSIONENTRY', 'T_PA_DIMENSIONENTRY', 'FENTRYID', '1';

 IF
NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_DIMENSION_ENTRY') CREATE
INDEX IDX_PA_DIMENSION_ENTRY ON T_PA_DIMENSIONENTRY ( FID );


EXEC P_ALTERPK 'PK_T_PA_DIMENSION', 'T_PA_DIMENSION', 'FID', '1';

 IF
NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_DIMENSION') CREATE
INDEX IDX_PA_DIMENSION ON T_PA_DIMENSION ( FSYSTEMID );

 IF
NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_DIMENSION_NBSYS') CREATE
UNIQUE INDEX IDX_PA_DIMENSION_NBSYS ON T_PA_DIMENSION ( FNUMBER ,FSYSTEMID );


EXEC P_ALTERPK 'PK_T_PA_ANASYSTEMSETTING_L', 'T_PA_ANASYSTEMSETTING_L', 'FPKID', '1';

 IF
NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_ANASYSTEMSETTING_L') CREATE
INDEX IDX_PA_ANASYSTEMSETTING_L ON T_PA_ANASYSTEMSETTING_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_T_PA_ANASYSTEMSETTING', 'T_PA_ANASYSTEMSETTING', 'FID', '1';

 IF
NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_ANALYSIS_NK') CREATE
UNIQUE INDEX IDX_PA_ANALYSIS_NK ON T_PA_ANASYSTEMSETTING ( FNUMBER );

 IF
NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_ANALYSIS_MK') CREATE
INDEX IDX_PA_ANALYSIS_MK ON T_PA_ANASYSTEMSETTING ( FMODULERANGE );


EXEC P_ALTERPK 'PK_T_PA_ANALYSISMODEL_L', 'T_PA_ANALYSISMODEL_L', 'FPKID', '1';

 IF
NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_ANALYSISMODEL_L') CREATE
INDEX IDX_PA_ANALYSISMODEL_L ON T_PA_ANALYSISMODEL_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_T_PA_SOURCEMODELMAPPING', 'T_PA_SOURCEMODELMAPPING', 'FID', '1';

 IF
NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_SOURCEMODEL') CREATE
INDEX IDX_PA_SOURCEMODEL ON T_PA_SOURCEMODELMAPPING ( FANALYSISMODEL ,FMODELTABLEID );


