﻿/**Begin D:\PDM_UPGRADE_1.3\PDM_UPGRADE\PDM1\PA_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_PA_REPORTITEMTYPE', 'T_PA_REPORTITEMTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_REPORTSHOW_DIM') CREATE INDEX IDX_PA_REPORTSHOW_DIM ON T_PA_REPORTITEMTYPE ( FDIMENSION );


 EXEC P_ALTERPK 'PK_T_PA_REPORTITEMTYPE_L', 'T_PA_REPORTITEMTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_REPORTITEMTYPE_L_ID') CREATE INDEX IDX_PA_REPORTITEMTYPE_L_ID ON T_PA_REPORTITEMTYPE_L ( FID );


 EXEC P_ALTERPK 'PK_T_PA_FORMULASETTING', 'T_PA_FORMULASETTING', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_FORMULASTING_NUMBER') CREATE INDEX IDX_PA_FORMULASTING_NUMBER ON T_PA_FORMULASETTING ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_PA_FORMULASETTING_L', 'T_PA_FORMULASETTING_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_FORMULARSETING_L_0') CREATE INDEX IDX_PA_FORMULARSETING_L_0 ON T_PA_FORMULASETTING_L ( FID );


 EXEC P_ALTERPK 'PK_T_PA_REPORTITEM', 'T_PA_REPORTITEM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_REPORTITEM_NGC') CREATE INDEX IDX_PA_REPORTITEM_NGC ON T_PA_REPORTITEM ( FNUMBER ,FGROUPID ,FCOMPTYPE );


 EXEC P_ALTERPK 'PK_T_PA_REPORTITEM_L', 'T_PA_REPORTITEM_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_REPORTITEM_L_FID') CREATE INDEX IDX_PA_REPORTITEM_L_FID ON T_PA_REPORTITEM_L ( FID );


EXEC P_ALTERPK 'PK_PA_REPORTDEFINITION', 'T_PA_REPORTDEFINITION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_REPORTDEFINITION_1') CREATE INDEX IDX_REPORTDEFINITION_1 ON T_PA_REPORTDEFINITION ( FANALYSIS_MODEL );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_REPORTDEFINITION_2') CREATE INDEX IDX_REPORTDEFINITION_2 ON T_PA_REPORTDEFINITION ( FNUMBER );


 EXEC P_ALTERPK 'PK_PA_REPORTDEFINITION_L', 'T_PA_REPORTDEFINITION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_REPORTDEFINITION_L_1') CREATE INDEX IDX_REPORTDEFINITION_L_1 ON T_PA_REPORTDEFINITION_L ( FID );


 EXEC P_ALTERPK 'PK_PA_COLUMNENTRYCONFIG', 'T_PA_COLUMNENTRYCONFIG', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_COLUMNENTRYCONFIG_1') CREATE INDEX IDX_COLUMNENTRYCONFIG_1 ON T_PA_COLUMNENTRYCONFIG ( FDIMENSION );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_COLUMNENTRYCONFIG_2') CREATE INDEX IDX_COLUMNENTRYCONFIG_2 ON T_PA_COLUMNENTRYCONFIG ( FID );


 EXEC P_ALTERPK 'PK_PA_MEASUREENTRYCONFIG', 'T_PA_MEASUREENTRYCONFIG', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MEASUREENTRYCONFIG_1') CREATE INDEX IDX_MEASUREENTRYCONFIG_1 ON T_PA_MEASUREENTRYCONFIG ( FID );


 EXEC P_ALTERPK 'PK_PA_REPORTMEASURESCONFIG', 'T_PA_REPORTMEASURESCONFIG', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_REPORTMEASURESCONFIG_1') CREATE INDEX IDX_REPORTMEASURESCONFIG_1 ON T_PA_REPORTMEASURESCONFIG ( FENTRYID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_PA_REPORTPERMROLE', 'T_PA_REPORTPERMROLE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_REPORTPERMROLE_1') CREATE INDEX IDX_REPORTPERMROLE_1 ON T_PA_REPORTPERMROLE ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_PA_REPORTPERMUSER', 'T_PA_REPORTPERMUSER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_REPORTPERMUSER_1') CREATE INDEX IDX_REPORTPERMUSER_1 ON T_PA_REPORTPERMUSER ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_PA_ROWENTRYCONFIG', 'T_PA_ROWENTRYCONFIG', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ROWENTRYCONFIG_1') CREATE INDEX IDX_ROWENTRYCONFIG_1 ON T_PA_ROWENTRYCONFIG ( FREPORTITEM );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ROWENTRYCONFIG_2') CREATE INDEX IDX_ROWENTRYCONFIG_2 ON T_PA_ROWENTRYCONFIG ( FID );
/**End D:\PDM_UPGRADE_1.3\PDM_UPGRADE\PDM1\PA_constraint.sql **/
