IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PA_DIMENSION' AND KSQL_COL_NAME ='FSYSTEMSOURCE')
 ALTER TABLE T_PA_DIMENSION ADD (FSYSTEMSOURCE CHAR(1) DEFAULT '0' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PA_MEASURE' AND KSQL_COL_NAME ='FSYSTEMSOURCE')
 ALTER TABLE T_PA_MEASURE ADD (FSYSTEMSOURCE CHAR(1) DEFAULT '0' NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FAF_EPMDIMMAPPING')
 CREATE TABLE T_FAF_EPMDIMMAPPING (
FID BIGINT DEFAULT 0 NOT NULL,
FANALYSISSYSTEM BIGINT DEFAULT 0 NOT NULL,
FDIMENSION BIGINT DEFAULT 0 NOT NULL,
FEPMMODEL BIGINT DEFAULT 0 NOT NULL,
FEPMDIMENSION BIGINT DEFAULT 0 NOT NULL,
FEPMDIMNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FEPMDIMNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FMEMBERMODEL VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FAF_EPMMEASUREMAPPING')
 CREATE TABLE T_FAF_EPMMEASUREMAPPING (
FID BIGINT DEFAULT 0 NOT NULL,
FANALYSISSYSTEM BIGINT DEFAULT 0 NOT NULL,
FEPMMODEL BIGINT DEFAULT 0 NOT NULL,
FMEASURE BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FAF_EPMMSMAPENTRY')
 CREATE TABLE T_FAF_EPMMSMAPENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FEPMDIMENSION BIGINT DEFAULT 0 NOT NULL,
FEPMDIMNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FEPMDIMNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FMEMBERMODEL VARCHAR(50) DEFAULT ' ' NOT NULL,
FMEMBERID BIGINT DEFAULT 0 NOT NULL,
FMEMBERNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FMEMBERNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FAF_EPMDIMMAPPING' AND KSQL_COL_NAME ='FANALYSISSYSTEM')
 ALTER TABLE T_FAF_EPMDIMMAPPING ADD (FANALYSISSYSTEM BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FAF_EPMMEASUREMAPPING' AND KSQL_COL_NAME ='FANALYSISSYSTEM')
 ALTER TABLE T_FAF_EPMMEASUREMAPPING ADD (FANALYSISSYSTEM BIGINT DEFAULT 0 NOT NULL );


 IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FAF_CMDIMMAPPING')
  CREATE TABLE T_FAF_CMDIMMAPPING (
 FID BIGINT DEFAULT 0 NOT NULL,
 FANALYSISSYSTEM BIGINT DEFAULT 0 NOT NULL,
 FDIMENSION BIGINT DEFAULT 0 NOT NULL,
 FCMMODEL BIGINT DEFAULT 0 NOT NULL,
 FCMDIMENSION BIGINT DEFAULT 0 NOT NULL,
 FCMDIMNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
 FCMDIMNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
 FMEMBERMODEL VARCHAR(50) DEFAULT ' ' NOT NULL
 );


 IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FAF_CMMEASUREMAPPING')
  CREATE TABLE T_FAF_CMMEASUREMAPPING (
 FID BIGINT DEFAULT 0 NOT NULL,
 FANALYSISSYSTEM BIGINT DEFAULT 0 NOT NULL,
 FMEASURE BIGINT DEFAULT 0 NOT NULL,
 FCMMODEL BIGINT DEFAULT 0 NOT NULL
 );


 IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FAF_CMMSMAPENTRY')
  CREATE TABLE T_FAF_CMMSMAPENTRY (
 FID BIGINT DEFAULT 0 NOT NULL,
 FENTRYID BIGINT DEFAULT 0 NOT NULL,
 FSEQ INT DEFAULT 0 NOT NULL,
 FCMDIMENSION BIGINT DEFAULT 0 NOT NULL,
 FCMDIMNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
 FCMDIMNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
 FMEMBERMODEL VARCHAR(50) DEFAULT ' ' NOT NULL,
 FMEMBERID BIGINT DEFAULT 0 NOT NULL,
 FMEMBERNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
 FMEMBERNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
 );